@import url('https://fonts.cdnfonts.com/css/satoshi');

@import '/css/lib/knopf.css';
@import '/css/alwin.css';
@import '/css/icon.css';
@import '/css/layout-marketing-nav.css';
@import '/css/grid-list.css';
@import '/css/top-banner.css';

* {
  box-sizing: border-box;
}

body {
  background-color: #FAF8F7;
  display: flex;
  flex-direction: column;
  font-family: Satoshi, Arial, Helvetica, sans-serif;
  padding: 0;
  margin: 0;
  min-height: 100vh;
  padding-top: env(safe-area-inset-top) !important;
  text-wrap: balance;
}

.desktop-only {
  display: none;
}
@media (min-width: 768px) {
  .mobile-only {
    display: none;
  }
  .desktop-only {
    display: inherit;
  }
}

/* default is iOS -- hide the others */
.android-content,
.device-other-content,
.device-android .ios-content,
.device-android .ios-and-device-other-content,
.device-other .ios-content {
  display: none;
}

.device-android .android-content,
.device-ios .ios-content,
.device-other .device-other-content {
  display: inherit;
}

.round-rect,
.shadow {
  box-shadow: 0px 0px 4px 0px rgba(31, 31, 31, 0.08), 0px 4px 8px 0px rgba(31, 31, 31, 0.08), 0px 1px 2px 0px rgba(31, 31, 31, 0.08);
}

.knopf.link.normal {
  --knopf-font-weight: normal;
  text-decoration: none;

  &:hover {
    text-decoration: underline;
  }
}

h1 {
  font-size: 64px;
  font-weight: bold;
  line-height: 1.2;

  @media (max-width: 990px) {
    font-size: 40px;
    margin-top: 0;
  }

  @media (max-width: 440px) {
    font-size: 32px;
  }
}

h2 {
  font-size: 36px;
  line-height: 1.2;
  margin: 24px 0;

  @media (max-width: 767px) {
    font-size: 28px;
    margin-top: 12px;
  }
}

h3 {
  font-size: 32px;
  line-height: 1.2;
  margin: 16px 0;

  @media (max-width: 990px) {
    font-size: 28px;
  }
}

p {
  font-size: 18px;
  opacity: 0.8;

  @media (max-width: 767px) {
    line-height: 1.4; 
  }
}

.container {
  box-sizing: content-box;
  margin: 0 auto;
  max-width: 1184px;
  padding-block-end: 32px;
  padding-block-start: 32px;
  padding-inline: max(5vw, 16px);
  position: relative;

  & img {
    max-width: 100%;
  }
}

section:first-of-type .container {
  padding-block-start: 64px;
}

.grid {
  display: grid;
  gap: 32px;
  align-items: center;
}

.grid--hero {

  display: flex !important;

  &:has(> *:nth-child(2)) > *:first-child {
    flex-basis: 600px;
  }

  & picture img {
    width: 100%;
    max-width: 500px;
  }

  & p {
    max-width: 30em;
    text-wrap: initial;
  }

  & h1 {
    max-width: 14em;
  }

  .download-app {
    text-decoration: none;

    & img {
      height: 64px;
    }    
  }

  .grid__ctas {
    
    .flex {
      justify-content: left;
      gap: 12px;

      @media (max-width: 990px) {
        justify-content: center;
      }
    }
  }

  .grid__topline {
    opacity: 0.8;
    margin-bottom: 16px;
    font-size: 12px;
    border-radius: 20px;
    overflow: hidden;
    display: inline-block;
    padding: 8px 16px;
    font-weight: 700;

    @media (min-width: 990px) {
      font-size: 14px;
      margin-bottom: -2em;
    }
  }

  @media (max-width: 990px) {
    flex-direction: column;
    text-align: center;

    & p {
      margin-left: auto;
      margin-right: auto;
    }
    &:has(> *:nth-child(2)) > *:first-child {
      flex-basis: unset;
    }
    & > *:last-child {
      margin-top: 32px;
    }
  }

  @media (max-width: 440px) {
    & h1 {
      font-size: 32px;
    }
  }
}

.grid--hero.justify-center {
  p {
    margin: 24px auto;
  }
}

.grid--hero-with-qr {

  & picture img {
    max-width: 600px;
  }
  @media (max-width: 990px) {
    & .grid__list {
      justify-content: center;
      
      & > .flex {
        flex-wrap: wrap;
        justify-content: center;
      }
    }
  }
}

/* desktop w/ QR: full bleed bg/paragraph separator */
@media (min-width: 600px) {
  section:first-of-type .grid--hero-with-qr {
    & .grid__separator {
      position: absolute;
      left: 0;

      &::before {
        content: '';
        position: absolute;
        bottom: 0;
        left: 0;
        background: #fff;
        height: 100vh;
        width: 100vw;
        z-index: -1;
      }
    }
    & p:has(~.grid__separator) {
      margin-bottom: 0;
      padding-bottom: 36px;
    }
  }
}
.device-other .download-app {
  & img {
    height: 32px;
  }
}

.grid--portrait-video {
  justify-content: space-around;

  &:has(> *:nth-child(2)) > *:first-child {
    flex-basis: unset;
  }

  & > .grid__video {
    width: 75%;
    border-radius: 8px;
    overflow: hidden;

    @media (min-width: 990px) {
      width: 30%;
    }
  }
}

.callout {
  background: #2c424f;
  border-radius: 8px;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-flow: column nowrap;
  height: 340px;
  margin-bottom: 24px;

  & h3 {
    margin-bottom: 0;
    font-weight: bold;
    font-size: 42px;
  }

  & p {
    font-size: 24px;
  }
}

.grid--single {
  grid-template-columns: auto 576px;
  min-height: 590px;

  & > * {
    padding: 64px;
    grid-column-start: 2;
  }

  &.grid--swapped > * {
    grid-column-start: 1;
  }

  @media (max-width: 1200px) {
    grid-template-columns: auto 480px;
  }

  @media (max-width: 990px) {
    & > * {
      padding: 8%;
    }

    display: block !important;
  }
}

.grid--equal-width {
  grid-auto-columns: minmax(0, 1fr);
  grid-auto-flow: column;
  align-items: stretch;

  & > * {
    text-align: center;
  }

  & h2 {
    font-size: 28px;
    max-width: 10em;
    margin: 1em auto 1em;
    padding-top: 0.5em;
  }

  & p {
    padding: 0 32px;
  }

  & img {
    margin-left: 12px;
    margin-right: 12px;
    max-width: 100%;
  }

  @media (max-width: 990px) {
    display: block !important;

    & h2 {
      padding-top: 1.5em;
    }
  }
}

.round-rect {
  border-radius: 16px;
}

.round-rect--with-bottom-picture {
  position: relative;
  padding-bottom: 317px;

  & picture {
    display: block;
    position: absolute;
    bottom: 0;
    width: 100%;
  }

  @media (max-width: 990px) {
    padding-bottom: 0;

    & picture {
      position: static;
      max-width: 480px;
      margin: 0 auto;
    }
  }
}


.signup, .contact {
  background-color: #fff;

  & .container {
    max-width: 48em;
  }

  & h2 {
    font-weight: bold;
  }

  & p {
    margin: 0 auto;
    max-width: 32em;
    margin-bottom: 1em;

    &:last-of-type {
      margin-bottom: 24px;
    }
  }
}

.signup form {

  & input[type=text],
  & input[type=email],
  & input[type=phone],
  & select,
  & textarea {
    width: 100%;
    border-radius: 20px;
    border: 1px solid #999;
    box-sizing: border-box;
  }

  & select,
  & textarea {
    padding: 1em;
  }

  & input[type=text],
  & input[type=email],
  & input[type=phone] {
    line-height: 3;
    margin-bottom: 1em;
    padding: 0 1em;
  }

  & select {
    color: #999;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image: linear-gradient(45deg, transparent 50%, gray 50%), linear-gradient(135deg, gray 50%, transparent 50%);
    background-position: calc(100% - 20px) calc(1em + 5px), calc(100% - 15px) calc(1em + 5px), calc(100% - .5em) .5em;
    background-size: 5px 5px, 5px 5px, 1.5em 1.5em;
    background-repeat: no-repeat;
  }
}

form[name="waitlist-signup"] {
  max-width: 75%;
}

form[name^="step-"] {
  display: none; // additional form steps initially hidden
  max-width: 50%;
  background: #FAF8F7;
  border-radius: 8px;
  text-align: left;
}

head:has(meta[name=ip-state]) ~ body form[name=step-2] select[name=state-input] {
  display: none;
}

form[name=step-2] li:last-of-type textarea {
  display:none;
}

form[name=step-2] li:last-of-type input[type=radio]:checked ~ textarea {
  display: block;
}

.contact-cta {
  max-width: 75%;
  margin: 40px auto;
}

.grid--text-definition-list {
  grid-auto-columns: minmax(0, 1fr);
  grid-auto-flow: column;
  align-items: stretch;
  gap: 80px;
  padding: 64px 48px;

  @media (max-width: 990px) {
    display: block !important;
    padding: 2.5em 0;
    text-align: center;

    & > * > h2 {
      font-size: 28px !important;
    }
  }
}

.text-definition-list .grid > *:first-of-type {
  text-align: center;
  padding: 0 40px;

  & h2, p {
    margin: 0 0 24px;
    padding: 0;
  }

  & h2 {
    font-weight: bold;
    font-size: 32px;
  }

  & picture {
    display: block;
    margin-top: 40px;
  }
}

.text-definition-list .grid > *:last-of-type {
  text-align: left;
}


.text-definition-list__item {
  position: relative;
  background-color: rgba(21, 61, 61, 0.8);
  box-shadow: 0px 16px 32px 0px rgba(0, 0, 0, 0.16);
  border-radius: 8px;
  color: #fff;
  padding: 24px 48px;
  margin: 16px 36px;

  & h2::before {
    content: "";
    background-repeat: no-repeat;
    position: absolute;
    display: block;
    height: 64px;
    width: 64px;
    top: 12px;
    left: -32px;
  }

  & h2, & p {
    margin: 0 0 8px;
    padding: 0;
  }

  & h2 {
    font-size: 20px;
    font-weight: bold;
  }

  & p {
    font-size: 14px;
  }
}

.full_width_half_bg {
  text-wrap: auto;

  & .round-rect {
    background: #fff;
  }

  & p {
    width: 80%;
    margin: 24px auto;
  }

  &:nth-child(odd) .flex > *:first-child {
    order: 2;
  }

  & .full_width_half_bg__bg {
    background-size: cover;
    background-position: center;
  }

  @media (min-width: 990px) {
    & .flex > * {
      width: 50%;
      overflow: hidden;
      align-self: stretch;
    }
  }

  @media (max-width: 990px) {
    & .flex {
      flex-wrap: wrap;
      flex-direction: column;
    }
    & .flex > *:last-child {
      order: 2;

      & {
        width: 100%;
      }
    }
  }
}

.full_width {
  text-wrap: auto;

  & .round-rect {
    background-color: #fff;
  }

  & p {
    width: 50%;
    margin: 24px auto;
  }
}

.half_width_bg {
  color: #fff;

  & h2, & p {
    text-shadow: 0 0 20px black;
  }

  & li:first-child .knopf {
    background: linear-gradient(0deg, #4C3B2F 0%, #4C3B2F 100%), linear-gradient(0deg, #542D12 0%, #542D12 100%), #016747;
  }

  & li:last-child .knopf {
    background: #fff;
    color: #000;
    --knopf-text-color: #000;
  }
  
  & .absolute {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.50) 0%, rgba(0, 0, 0, 0.00) 100%);
    top: 0;
    left: 0;
  }

  @media (max-width: 990px) {
  & ul {
      flex-direction: column;
      
      p {
        width: 75%;
      }
    }
  }
}

.grid_card {
  & .grid {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 33% 100%;
  }

  @media (max-width: 990px) {

    & .grid {
      background-position: bottom left;
      background-size: 200%;
      padding-bottom: 100%;
    }

    & .grid.grid--swapped {
      background-position: bottom right;
    }
  }

  & h2 {
    font-weight: bold;
    font-size: 32px;
  }

  & picture {
    display: block;
    margin-top: 60px;
  }
}

.cards {
  & .round-rect {
    background-color: #fff;
  }

  & .round-rect__graphic img {
    max-width: none;
  }
}

.just-better-compact-page .round-rect--with-bottom-picture picture {
  bottom: 48px;
}

.guide_lists {
  & .guide_lists__header {

    & *:first-child {
      color: #0471E1;
    }

    @media (min-width: 760px) {
      max-width: 70%;
      margin: auto;
    }
  }

  & li {
    & a {
      color: inherit;
      text-decoration: none;
      display: block;
      width: 370px;
      overflow: hidden;
    }

    & .guide_lists__text {
      background: #fff;

      & > div:last-child {
        text-wrap: auto;
        position: relative;
        min-height: 130px;
      }
    }

    & .guide_lists__avatar {
      border-radius: 100%;
      box-shadow: 0 2px 3px #0001;
      color: #fff;
      height: 16px;
      width: 16px;
      overflow: hidden;
    }

    & .guide_lists__cover {
      height: 160px;
      background-image: linear-gradient(180deg, #0000 30%, #000b), var(--background-image);
      background-size: cover;
      background-repeat: no-repeat;
      background-position: center center;
      height: 160px);
    }

    /* TODO: class*/
    @media (min-width: 650px) {
      & {
        transition: transform .1s;

        &:hover {
          transform: translateY(-5px);
        }
      }
    }
  }
}

.truncate-box {
  display: -webkit-box;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-box-orient: vertical;
}
.truncate-box--2 {
  -webkit-line-clamp: 2;
}
.truncate-box--3 {
  -webkit-line-clamp: 3;
}
.truncate-box--4 {
  -webkit-line-clamp: 4;
}

.columns {

  .container {
    background-color: #fff;
  }

  .column__index {
    background-color: rgba(4, 113, 225, 1);
    color: #fff;
    width: 48px;
    height: 48px;
    border-radius: 48px;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  & .round-rect--with-bottom-picture {

    & picture {
      width: 100%;

      & img {
        width: 100%;
        margin: 0;
        padding: 0;
      }
    }
  }

  & .columns__bottom {
    border-top: 1px solid rgba(25, 39, 56, .2);
  }
}

.full-bleed-image {
  
  & .container {
    padding-top: 0;
    padding-bottom: 0;
  }
}

html {
  --knopf-hue: 210;
  --knopf-saturation: 97%;
  --knopf-luminosity: 45%;
  --knopf-padding-base: 0.66rem !important;
}

.site-footer {
  background: #38414D;
  padding: 32px;
  text-align: center;

  &, & a {
    color: #fff8;
    font-size: 12px;
  }

  & .site-footer__logo {
    width: 103px;
    filter: invert();
    opacity: 0.5;
    margin-bottom: 1em;
  }

  & div {
    margin: 0 0 1em;
  }

  & div:last-child > * {
    margin: 0 8px;
  }
}
.site-content {
  flex: 1;
}

.sticky-footer {
  position: fixed;
  bottom: 0;
  width: 100%;
  background: #192738;
  color: #fff;
  padding: 16px 20px;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  text-decoration: none;

  /* to hide by default */
  pointer-events: none;
  opacity: 0;
  transition: opacity 100ms ease-in-out;

  & .text-content {
    flex-grow: 1;
    line-height: 1.6;
  }

  & h5 {
    font-size: 15px;
  }

  & p {
    font-size:12px;
  }
}

.sticky-footer-visible .sticky-footer {
  pointer-events: auto;
  opacity: 1;
}


/* landing page specific css */ 
.home-page, .app-get-page {

  & .text-definition-list__item:nth-of-type(1) h2::before {
    background-image: url(/uploads/vector-1.png);
  }
  & .text-definition-list__item:nth-of-type(2) h2::before {
    background-image: url(/uploads/vector-3.png);
  }
  & .text-definition-list__item:nth-of-type(3) h2::before {
    background-image: url(/uploads/vector-2.png);
  }
  & .grid--hero:first-of-type h1,
  & .guide_lists h1 {
    @media (min-width: 720px) {
      font-size: 48px;
    }
  }
  & .guide_lists {
    padding: 64px 0;
  }
}

.destinations-page {
  & section:nth-of-type(3) h1,
  & section:nth-of-type(4) h1,
  & .guide_lists h1 {
    font-size: 48px;
  }

  & .guide_lists {
    background-color: #F5F1F0;
    padding: 64px 0;
  }
}

.explore-curated-lists-page {
  & .guide_lists h1,
  & .grid-list-page h1 {
    font-size: 48px;
  }
  & .grid-list-page {
    background-color: #fff;
    padding: 64px 0;
  }
}


.routing-page {

  & h2 {
    font-size: 29px !important;
  }

  @media (max-width: 990px) {
    background-image: none !important;
  }

  @media (min-width: 990px) {
    & .grid--text-definition-list {
      background-size: cover;
      background-repeat: no-repeat;
      background-position: bottom right;
    }
  }
}

.food-page {
  @media (min-width: 990px) {
    & .grid--hero:first-of-type h1 {
      font-size: 60px;
    }
  }
}

.lists-page {

  .grid_card {

    .container {
      padding-block-start: 64px;
      padding-block-end: 64px;
    }

    p {
      padding: 0 20px !important;
    }
  }

  @media (min-width: 990px) {

    section:nth-of-type(3) .grid--hero  {
      gap: 120px;

      & div:first-child {
        order: 2;
      }
    }
    section:nth-of-type(n + 2) h1 {
      font-size: 40px;
    }
  }
}

.nyt-callout__content {
  align-items: center;
  background: white;
  box-shadow: 0 1px 2px #0001;
  border-radius: 12px;
  display: flex;
  flex-wrap: wrap;
  gap: 0 64px;
  padding: 8px 64px;
  justify-content: space-between;
  margin-bottom: 48px;

  & p {
    opacity: 1;
    &:not(:last-child) {
      margin: 32px 0 24px;
      img {
        margin-bottom: 1em;
      }
    }
  }
  & h1 {
    display: none;
  }
  & p:last-child img {
    max-width: 250px;
    max-height: 192px;
    border-radius: 8px;
  }
  & a {
    color: #444;
    text-decoration: none;
  }
  & a:hover {
    color: dodgerblue;
  }
}
@media (max-width: 767px) {
  .nyt-callout {
    padding: 0 !important;
  }
  .nyt-callout__content {
    box-shadow: none;
    border-radius: 0;
    padding-left: 32px;
    padding-right: 32px;
  }
}

.device-pwashell .device-pwashell-disabled {
  pointer-events: none;
  text-decoration: none;
}

.secondary {
  color: hsl(var(--text-color-hsl));
  text-decoration: none;
  opacity: 0.5;
}